/**
Theme Name: magamedia
Author: Magamedia
Author URI: https://magamedia.es
Description: Astra child theme
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: magamedia
Template: astra
*/

/* GENERAL */

a
{
	outline: none;
}

h2 a
{
	color: inherit;
}


nav ul {
    padding-left: 0;
}


:note(.page-contacto).site-content ul
{
	padding-left: 30px;
}

.hidden
{
	display: none;
}

/* MENU STICKY */

/* MOBILE MENU */
[data-section="section-header-mobile-trigger"] .ast-button-wrap .mobile-menu-toggle-icon .ast-mobile-svg {
  width: 32px;
  height: 32px;
}

.ast-builder-grid-row {
 grid-column-gap: 0px;
}

/* PIE */
footer span.logo
{
	color: var(--ast-global-color-3);
	background-color: var(--ast-global-color-0);
	font-family: var(--wp--preset--font-family--bebas-neue);
    line-height: 1.2;
	white-space: nowrap;
	font-size: 1.7em;
	text-transform: uppercase;
	display: inline-block;
	padding: 4px 2px 2px 7px;
	letter-spacing: .115em;
	text-align: center;
	vertical-align: middle;
	margin-right: 10px;
}

footer span.logo span
{
	font-size: .9em;
	display: inline-block;
	margin-left: -7px;
}

#footer-site-navigation ul li:not(:first-child) {
    position: relative;
    padding-left: 5px;
}

#footer-site-navigation ul li:not(:first-child)::after {
    content: "";
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 1px;
    height: 12px;
    background: #fff;
    margin-left: -3px;
}

/* SERVICIOS */
.page-servicios .site-footer
{
	background-image:url("https://beta.magamedia.es/wp-content/uploads/2022/12/bg-09-free-img.jpeg")
}

.wp-block-spectra-content.p-servicios
{
	line-height: 2em;
}

.p-servicios em
{
	font-style: normal;
    display:inline-block;
    padding:.2em .6em;
    margin:.15em .1em;
    border-radius:4px;
    border:1px solid var(--ast-global-color-8);
    line-height:1.4;
	font-size: .9em;
    white-space:nowrap;
	margin-bottom: 5px;
}

.p-servicios br + strong
{
	margin-bottom: 50px;
	display: inline-block;
	float:left;
}


/* GALERIAS */
.page-trabajos .site-footer
{
	background-image:url("https://beta.magamedia.es/wp-content/uploads/2022/12/bg-08-free-img.jpeg")
}

.galeria figure, .galeria figure img
{
	width: 100%;
}

/* FORM */
.srfm-form-container .srfm-button
{
	min-width: 120px;
	margin-bottom: 60px;
}

.srfm-form-container .srfm-button:disabled
{
	cursor: not-allowed;
	background-color: var(--ast-global-color-8);
	border-color:var(--ast-global-color-8);
}

.srfm-form-container .srfm-success-box {
 	margin-top: -25px;
	min-height:0;
}

/* LEGALES */
.page-legal article
{
	padding: 60px 0;
}

/* MEDA QUERIES */

@media (max-width: 921px) {
	.site-below-footer-wrap[data-section="section-below-footer-builder"].ast-footer-row-tablet-stack .site-footer-section {
    	display: flex;
  	}
}

@media (min-width: 768px) and (max-width: 1024px) {
  	h2.fit
	{
		letter-spacing: -2px;
	}
}

@media (max-width: 767px) {
  	
	/* CLIENTES */
	#clientes .wp-block-spectra-container.wp-block-spectra-container-is-layout-flex
	{
		flex-wrap: wrap;
	}
	
	

	/* FOOTER */
	/*footer span.logo
	{
		  display: block;
		  width: 142px;
		  margin: 0 auto 10px auto;
	}*/
	
	.site-below-footer-wrap[data-section="section-below-footer-builder"].ast-footer-row-tablet-stack .site-footer-section {
		flex-direction: column;
	}
	
	.ast-footer-copyright {
		text-align: center;
	 }
}

@media (max-width: 480px) {
  	

	/* FOOTER */
	#astra-footer-menu 
	{
		flex-direction: column;
		margin-top: 10px;
	}
	
	#astra-footer-menu .menu-item .menu-link
	{
		text-align:center;
		display: block;
	}
	
	#astra-footer-menu .menu-item
	{
		padding-bottom: 5px;
	}
	
	#astra-footer-menu .menu-item:not(:first-child) {
		padding-left: 0;
		position: unset;
	}
	
	#footer-site-navigation ul li:not(:first-child)::after {
		display: none;
	}
	
	/* SERVICIOS */
	.p-servicios br + strong
	{
		margin-bottom: 0;
		float:none;
		display: static;
	}
}